## robocode
Class MousePressedEvent

    java.lang.Object
      robocode.Event
          robocode.MouseEvent
              robocode.MousePressedEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>

    public final class MousePressedEvent

extends MouseEvent

A MousePressedEvent is sent to `onMousePressed()` when the mouse is pressed inside the battle view.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `MouseClickedEvent`, `MouseReleasedEvent`, `MouseEnteredEvent`, `MouseExitedEvent`, `MouseMovedEvent`, `MouseDraggedEvent`, `MouseWheelMovedEvent`, Serialized Form

Constructor Summary
`MousePressedEvent(MouseEvent source)` Called by the game to create a new MousePressedEvent.

Method Summary

Methods inherited from class robocode.MouseEvent
`getSourceEvent`

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MousePressedEvent

    public MousePressedEvent(MouseEvent source)

  Called by the game to create a new MousePressedEvent.

  Parameters:
    `source` - the source mouse event originating from the AWT.

Copyright © 2013 Robocode. All Rights Reserved.